import axios from 'axios'
import md5 from 'blueimp-md5'
const httpRequest = axios.create({
  // baseURL: 'https://model-platform-skyagents.tiangong.cn',
  timeout: 60000,
  withCredentials: true
})

// 请求拦截
httpRequest.interceptors.request.use(
  function (config) {
    // const UUID = 'f3846153ba784b6d86bdcd5533259c88'
    const authKey = 'f3846153ba784b6d86bdcd5533259c88'
    const authSecret = 'HO4IyLEwEOHpeOXBxaLQUOqWslJRGs1M'
    const timestamp = Date.now()
    const sign = md5(`${authKey}${authSecret}${timestamp}`)
    config.headers = { ...config.headers, authKey, timestamp, sign }
    return config
  },
  function (error) {
    return Promise.reject(error)
  }
)

// // 响应拦截
// httpRequest.interceptors.response.use(
//   function (response) {
//     const { data } = response
//     return data
//   },
//   function (error) {
//     if (error.response) {
//       console.log(error)
//     }
//     return Promise.reject(error.response || error)
//   }
// )

export default httpRequest
